<?php
/* Mantenimiento de los registros de la tabla GSS_UsuarioSucuDocumento redefinidos por el usaurio */
class GSS_UsuarioSucuDocumentoDP extends BaseGSS_UsuarioSucuDocumentoDP
{
    public static function recuperarId()
    {
        $s_Sql = "SELECT IF( MAX( IdSucuDoc ) IS NULL, 1, MAX( IdSucuDoc ) + 1 ) i_Id FROM GSS_UsuarioSucuDocumento;";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        return $o_ResultSet->getInt( 'i_Id' );
    }
}
?>